@model be_wise.Models.Home.Dto.PostCollectionDto

@{
    ViewBag.Title = "Najnowsze posty";
    Layout = "_Layout";
}

@section JumbotronSection
{
    <div class="jumbotron page-jumbotron">
        <div class="jumbotron-inner">
            <h1 class="ml3 jumbotron-title">be wise</h1>
            <h1 class="ml3 jumbotron-description">Mądrość w zasięgu Twojej dłoni</h1>
        </div>
    </div>
}

<div style="display: flex; flex-direction: column; margin: 50px 0;">
    <div>
        <h1>Najnowsze posty</h1>
    </div>
    <div style="display: flex; flex-direction: column; margin-top: 50px;">
        @foreach (var post in Model.Posts)
        {
            <div class="row m-0 my-5">
                <div class="col-2"></div>
                <div class="col-8 post-container full">
                    <a asp-action="ShowPost" asp-controller="Posts" asp-route-id="@post.Id">
                        <p>@post.Title</p>
                        <img src="@post.ImageUrl" alt="@post.Title"/>
                    </a>
                </div>
                <div class="col-2"></div>
            </div>
        }
    </div>
    <nav aria-label="Page navigation example">
        <ul class="pagination justify-content-center">
            @if (@Model.CanPrevious)
            {
                <li class="page-item">
                    <a class="page-link" asp-action="NewestPosts" asp-route-page="@Model.PreviousPage" aria-label="Previous">
                        <span aria-hidden="true">&laquo;</span>
                        <span class="sr-only">Previous</span>
                    </a>
                </li>
            }

            @for (var index = 1; index <= @Model.PagesCount; index++)
            {
                @if (index == @Model.Page)
                {
                    <li class="page-item active">
                        <a class="page-link" asp-action="NewestPosts" asp-route-page="@index">
                            @index
                        </a>
                    </li>
                }
                else
                {
                    <li class="page-item">
                        <a class="page-link" asp-action="NewestPosts" asp-route-page="@index">
                            @index
                        </a>
                    </li>
                }
            }



            @if (@Model.CanNext)
            {
                <li class="page-item">
                    <a class="page-link" asp-action="NewestPosts" asp-route-page="@Model.NextPage" aria-label="Next">
                        <span aria-hidden="true">&raquo;</span>
                        <span class="sr-only">Next</span>
                    </a>
                </li>
            }
        </ul>
    </nav>
</div>